This endpoint will provide you with the total number of backlinks, domains, and pages our database contains for the moment when you make a request. You will also get stats for the last 12 months.

Note that monthly index data is available starting from 2021-10-01; subsequent months will be added over time.

Pricing

Your account will not be charged for using this API

checked GET

‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the parameters passed in the URL of the GET request

    resultarray

array of results

        total_backlinksinteger

total number of backlinks our database contains for the moment of checking

        total_pagesinteger

total number of pages our database contains for the moment of checking

        total_domainsinteger

total number of domains our database contains for the moment of checking

        index_historyarray

index volume data for the past 12 months

            datestring

date for which index volume data is provided
in the UTC format: "yyyy-mm-dd"
example:
2021-10-01

            total_backlinksinteger

total number of backlinks our database contained on the given date

            total_pagesinteger

total number of pages our database contained on the given date

            total_domainsinteger

total number of domains our database contained on the given date

‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/backlinks/index" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
<?php
// You can download this file from here https://api.dataforseo.com/v3/_examples/php/_php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	// using this method you can get information about current user
	// GET /v3/backlinks/index
	$result = $client->get('/v3/backlinks/index');
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const axios = require('axios');
axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/backlinks/index',
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from random import Random
from client import RestClient
# You can download this file from here https://api.dataforseo.com/v3/_examples/python/_python_Client.zip

client = RestClient("login", "password")
# using this method you can get information about current user
# GET /v3/backlinks/index
response = client.get("/v3/backlinks/index")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task backlinks_index()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get information about current user
            // GET /v3/backlinks/index
            var response = await httpClient.GetAsync("/v3/backlinks/index");
            var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20210917",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "25.1309 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "10251319-1535-0352-0000-108d48e8f381",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "10.0698 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "backlinks",
        "index"
      ],
      "data": {
        "api": "backlinks",
        "function": "index"
      },
      "result": [
        {
          "total_backlinks": 800620797193,
          "total_pages": 80847129445,
          "total_domains": 770682956,
          "index_history": [
            {
              "date": "2021-10-01",
              "total_backlinks": 565930450176,
              "total_pages": 58044753857,
              "total_domains": 612456690
            }
          ]
        }
      ]
    }
  ]
}